/**
 * Returns the observable that inverses boolean values emitted by the observable.
 *
 * @param observable The observable to inverse.
 */
export default function not(observable) {
    return {
        subscribe: listener => observable.subscribe(value => listener(!value)),
    };
}
