"use strict";
/**
 * Tooling for SSR implementation that supports executor hydration on the client.
 *
 * ```ts
 * import { SSRExecutorManager } from 'react-executor/ssr';
 * ```
 *
 * @module ssr
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SSRExecutorManager = exports.ReadableSSRExecutorManager = void 0;
var ReadableSSRExecutorManager_js_1 = require("./ReadableSSRExecutorManager.js");
Object.defineProperty(exports, "ReadableSSRExecutorManager", { enumerable: true, get: function () { return ReadableSSRExecutorManager_js_1.ReadableSSRExecutorManager; } });
var SSRExecutorManager_js_1 = require("./SSRExecutorManager.js");
Object.defineProperty(exports, "SSRExecutorManager", { enumerable: true, get: function () { return SSRExecutorManager_js_1.SSRExecutorManager; } });
