"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emptyObject = void 0;
exports.noop = noop;
exports.AbortError = AbortError;
exports.TimeoutError = TimeoutError;
exports.isObjectLike = isObjectLike;
exports.getKeyCount = getKeyCount;
exports.emptyObject = {};
function noop() { }
function AbortError(message) {
    return typeof DOMException !== 'undefined' ? new DOMException(message, 'AbortError') : Error(message);
}
function TimeoutError(message) {
    return typeof DOMException !== 'undefined' ? new DOMException(message, 'TimeoutError') : Error(message);
}
function isObjectLike(value) {
    return value !== null && typeof value === 'object';
}
function getKeyCount(value) {
    return Object.keys(value).length;
}
