export const emptyObject = {};
export function noop() { }
export function AbortError(message) {
    return typeof DOMException !== 'undefined' ? new DOMException(message, 'AbortError') : Error(message);
}
export function TimeoutError(message) {
    return typeof DOMException !== 'undefined' ? new DOMException(message, 'TimeoutError') : Error(message);
}
export function isObjectLike(value) {
    return value !== null && typeof value === 'object';
}
export function getKeyCount(value) {
    return Object.keys(value).length;
}
