"use strict";
/**
 * The React Executor core and React integration hooks.
 *
 * ```ts
 * import { useExecutor } from 'react-executor';
 * ```
 *
 * @module react-executor
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useExecutorSuspense = exports.useExecutorSubscription = exports.ExecutorManagerProvider = exports.useExecutorManager = exports.useExecutor = void 0;
__exportStar(require("./core.js"), exports);
var useExecutor_js_1 = require("./useExecutor.js");
Object.defineProperty(exports, "useExecutor", { enumerable: true, get: function () { return useExecutor_js_1.useExecutor; } });
var useExecutorManager_js_1 = require("./useExecutorManager.js");
Object.defineProperty(exports, "useExecutorManager", { enumerable: true, get: function () { return useExecutorManager_js_1.useExecutorManager; } });
Object.defineProperty(exports, "ExecutorManagerProvider", { enumerable: true, get: function () { return useExecutorManager_js_1.ExecutorManagerProvider; } });
var useExecutorSubscription_js_1 = require("./useExecutorSubscription.js");
Object.defineProperty(exports, "useExecutorSubscription", { enumerable: true, get: function () { return useExecutorSubscription_js_1.useExecutorSubscription; } });
var useExecutorSuspense_js_1 = require("./useExecutorSuspense.js");
Object.defineProperty(exports, "useExecutorSuspense", { enumerable: true, get: function () { return useExecutorSuspense_js_1.useExecutorSuspense; } });
