"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = not;
/**
 * Returns the observable that inverses boolean values emitted by the observable.
 *
 * @param observable The observable to inverse.
 */
function not(observable) {
    return {
        subscribe: listener => observable.subscribe(value => listener(!value)),
    };
}
