/**
 * Tooling for SSR implementation that supports executor hydration on the client.
 *
 * ```ts
 * import { SSRExecutorManager } from 'react-executor/ssr';
 * ```
 *
 * @module ssr
 */
export { ReadableSSRExecutorManager } from './ReadableSSRExecutorManager.js';
export { SSRExecutorManager } from './SSRExecutorManager.js';
export type { SSRExecutorManagerOptions } from './SSRExecutorManager.js';
