"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useExecutor = useExecutor;
const useExecutorManager_js_1 = require("./useExecutorManager.js");
const useExecutorSubscription_js_1 = require("./useExecutorSubscription.js");
function useExecutor(key, initialValue, plugins) {
    const executor = (0, useExecutorManager_js_1.useExecutorManager)().getOrCreate(key, initialValue, plugins);
    (0, useExecutorSubscription_js_1.useExecutorSubscription)(executor);
    return executor;
}
