import { useExecutorManager } from './useExecutorManager.mjs';
import { useExecutorSubscription } from './useExecutorSubscription.mjs';
export function useExecutor(key, initialValue, plugins) {
    const executor = useExecutorManager().getOrCreate(key, initialValue, plugins);
    useExecutorSubscription(executor);
    return executor;
}
