import type { Executor } from './types.js';
/**
 * Re-renders the component when an executor's state is changed.
 *
 * The executor is activated after mount and deactivated before unmount.
 *
 * @param executor The executor to subscribe to.
 */
export declare function useExecutorSubscription<Value>(executor: Executor<Value>): Executor<Value>;
